Subject: bug#10926: closed (Re: [PATCH] timer-time: link explicitly with pthreads on glibc)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 10 Mar 2012 14:16:02 +0000

Your bug report

#10926: Minor problem with static building of coreutils-8.1[345]

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10926: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10926
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] timer-time: link explicitly with pthreads on glibc
From: Pádraig Brady <[email-masked]>
To: bug-gnulib <[email-masked]>
Cc: [email-masked], Heinz-Ado Arnolds <[email-masked]>
Date: Sat, 10 Mar 2012 13:45:17 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On 03/06/2012 04:23 PM, Pádraig Brady wrote:
> On 03/02/2012 09:35 AM, Heinz-Ado Arnolds wrote:
>> Hi,
>>
>> I have a minor problem with the *static* building of coreutils. Building
>> "timeout" requires libpthread in addition to librt.
>>
>> A simple patch is enclosed.
>>
>> Thanks a lot for your great work and kind regards,
>>
> 
> I'm not sure if this is the right approach for the above issue.
> 
> cheers,
> Pádraig.
> 
>>>From c18ffcdae1d7ffc012a2cd5dee1e2d0411dcfad8 Mon Sep 17 00:00:00 2001
> From: =?UTF-8?q?P=C3=A1draig=20Brady?= <[email-masked]>
> Date: Tue, 6 Mar 2012 15:02:40 +0000
> Subject: [PATCH] timer-time: link explicitly with pthreads on glibc

I'll apply this to gnulib so.

Marking this bug done.

cheers,
Pádraig.

Subject: Minor problem with static building of coreutils-8.1[345]
From: Heinz-Ado Arnolds <[email-masked]>
To: [email-masked]
Date: Fri, 02 Mar 2012 10:35:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I have a minor problem with the *static* building of coreutils. Building
"timeout" requires libpthread in addition to librt.

A simple patch is enclosed.

Thanks a lot for your great work and kind regards,

Ado

________________________________________________________________________

Dipl.-Ing. Heinz-Ado Arnolds

MPI fuer Astrophysik
Karl-Schwarzschild-Strasse 1            Postfach 1317
D-85748 Garching                        D-85741 Garching
Phone:  +49/89/30000-2217
FAX  :  +49/89/30000-2388
email:  arnolds[at]MPA-Garching.MPG.DE
________________________________________________________________________
diff -cr coreutils-8.15.orig/src/Makefile.in coreutils-8.15/src/Makefile.in
*** coreutils-8.15.orig/src/Makefile.in	2012-01-06 18:28:25.000000000 +0100
--- coreutils-8.15/src/Makefile.in	2012-03-02 10:33:12.000000000 +0100
***************
*** 2042,2048 ****
  tail_LDADD = $(LDADD) $(LIB_NANOSLEEP)
  tee_LDADD = $(LDADD)
  test_LDADD = $(LDADD) $(LIB_EACCESS)
! timeout_LDADD = $(LDADD) $(LIB_TIMER_TIME) $(LIBICONV)
  touch_LDADD = $(LDADD) $(LIB_CLOCK_GETTIME)
  tr_LDADD = $(LDADD)
  true_LDADD = $(LDADD)
--- 2042,2048 ----
  tail_LDADD = $(LDADD) $(LIB_NANOSLEEP)
  tee_LDADD = $(LDADD)
  test_LDADD = $(LDADD) $(LIB_EACCESS)
! timeout_LDADD = $(LDADD) $(LIB_TIMER_TIME) $(LIB_PTHREAD) $(LIBICONV)
  touch_LDADD = $(LDADD) $(LIB_CLOCK_GETTIME)
  tr_LDADD = $(LDADD)
  true_LDADD = $(LDADD)